## texlive-extra 2013.20140215

=== Makefile ===
# $Id: Makefile 25 2013-09-30 18:49:41Z karl $
# Makefile for Eplain.  This file is public domain.

version     = 3.6
dist_name   = eplain-$(version)

# Categories of the files in the source tree.
sources     = arrow.tex btxmac.tex ifpdf.sty path.sty texnames.sty xeplain.tex
support     = Makefile PROJECTS util/mkdist-*
manuals     = $(patsubst %,doc/%,Makefile *.texi texinfo.tex)
tests       = $(patsubst %,test/%,*.tex *.bib *.map *.mst *.eps)
utils       = util/idxuniq util/trimsee
demos       = demo/Makefile demo/*.tex
jpeg_demos  = doc/xhyper.jpg doc/lscommnt.jpg

default: eplain.tex
all: default doc

eplain.tex e: util/mkdist-merge $(sources)
	version=$(version) util/mkdist-merge


alldoc:
	cd doc && $(MAKE)

doc:
	cd doc && $(MAKE) doc

dvi:
	cd doc && $(MAKE) dvi

ps:
	cd doc && $(MAKE) ps

pdf doc/eplain.pdf doc/eplain.man1.pdf:
	cd doc && $(MAKE) pdf

html doc/eplain.html $(jpeg_demos):
	cd doc && $(MAKE) html

info doc/eplain.info:
	cd doc && $(MAKE) info

INSTALL:
	cd doc && $(MAKE) ../INSTALL

# 
# we need to make a variety of things:
# - eplain-VER.tds.zip (for easy installation).
# - eplain-VER.upload.zip (combination of TDS and directory for main tree)
# - eplain-VER.tar.gz (same as .tds.zip but in .tar.gz, for tug.org).
#
dist_tds_zip = $(dist_name).tds.zip
dist_upload_zip = $(dist_name).upload.zip
dist_tgz = $(dist_name).tar.gz
#
dist: $(dist_upload_zip) $(dist_tgz)

# The tgz is just the tds.zip in a different format, with top-level dir.
$(dist_tgz): $(dist_tds_zip)
	rm -rf $(dist_name) $@
	mkdir $(dist_name)
	unzip -q -d $(dist_name) $^
	tar czf $@ $(dist_name) # includes dir
	rm -rf $(dist_name)
	@ls -l $@

# The upload zip is the tds.zip (as a file) and an unpacked tree for browsing.
dist_upload_dir = $(dist_name)-upload
browse_dir = $(dist_upload_dir)/eplain
$(dist_upload_zip): $(dist_tds_zip)
	rm -rf $(dist_upload_dir) $@
	mkdir $(dist_upload_dir)
# unpack .tds.zip in destdir/eplain:
	unzip -q -d $(browse_dir) $^
# for browsing, get rid of eplain level:
	cd $(browse_dir) && for dir in *; do \
	  mv $$dir/eplain/* $$dir; \
	  rmdir $$dir/eplain; done
# and make top-level README symlink.
	ln -s doc/README $(browse_dir)/
# now also copy .tds.zip into dest dir, without version number:
	cp $^ $(dist_upload_dir)/eplain.tds.zip
# make upload zip as combination, including top-level directory:
	zip -qr $@ $(dist_upload_dir)
	rm -rf $(dist_upload_dir)
	zipinfo -1 $@ >/tmp/zu
	@ls -l $@
	@echo

#  The .tds.zip is the main thing.  Its directories and files follow.
# The idea of zsource is that we bundle up the various files we reuse into
# a zip so that our slave copies are not found by searches.

tds_dir     = $(dist_name)-tds
#
dir_main    = $(tds_dir)/tex/eplain
dir_doc     = $(tds_dir)/doc/eplain
dir_source  = $(tds_dir)/source/eplain
dir_zsource = $(dir_source)/eplain-source-$(version)
#
# Files to go under the $(dir_*) directories.
files_main   = eplain.tex arrow.tex btxmac.tex eplain.ini
files_doc    = AUTHORS COPYING ChangeLog INSTALL NEWS README \
               doc/eplain.info doc/eplain.html doc/eplain.pdf doc/eplain.1 \
               doc/eplain.man1.pdf $(demos) $(jpeg_demos) $(utils)
files_source = xeplain.tex
files_zsource= $(sources) $(support) $(manuals) $(tests)
#
cp = cp --parents
#
$(dist_tds_zip): force
	rm -rf $(tds_dir) $@
	install -d $(dir_main) $(dir_doc) $(dir_source) $(dir_zsource)
	@printf "%s" "\
% This eplain.aux file is installed for the sake of initex.  Running\n\
% initex without this file would produce an eplain.fmt which never\n\
% issues warning messages about undefined labels.\n" >$(dir_main)/eplain.aux
	#
	$(cp) $(files_main)    $(dir_main)
	$(cp) $(files_doc)     $(dir_doc)
	$(cp) $(files_source)  $(dir_source)
	$(cp) $(files_zsource) $(dir_zsource)
	chmod -R a+rwX $(tds_dir)
	#
	mv $(dir_doc)/doc/* $(dir_doc)/  # skip extra level
	rmdir $(dir_doc)/doc             # which leaves empty dir
	#
	# make zsource zip:
	cd `dirname $(dir_zsource)` \
	  && zip -qr `basename $(dir_zsource)`.zip `basename $(dir_zsource)`
	rm -rf $(dir_zsource)
	#
	# make tds zip:
	cd $(tds_dir) && zip -qr ../$(dist_tds_zip) *
	rm -rf $(tds_dir)
	zipinfo -1 $@ >/tmp/zt
	@ls -l $@
	@echo

force:

define clean-cmds
rm -rf $(dist_name) $(tds_dir)
endef

define distclean-cmds
$(clean-cmds)
rm -f $(dist_name).tar.gz $(dist_upload_zip) $(dist_tgz) $(dist_tds_zip)
rm -f eplain.fmt eplain.log
endef

define maintainer-clean-cmds
$(distclean-cmds)
rm -f eplain.tex
endef

clean mostlyclean:
	$(clean-cmds)
	cd doc && $(MAKE) $@
	cd demo && $(MAKE) $@

distclean:
	$(distclean-cmds)
	cd doc && $(MAKE) distclean
	cd demo && $(MAKE) distclean

maintainer-clean:
	$(maintainer-clean-cmds)
	cd doc && $(MAKE) maintainer-clean
	cd demo && $(MAKE) maintainer-clean

.PHONY: default alldoc doc dvi ps pdf html info dist
.PHONY: $(dist_name) $(dir_main) $(dir_doc) $(dir_source) $(dir_zsource)
.PHONY: clean mostlyclean distclean maintainer-clean
.DELETE_ON_ERROR:

=== doc/Makefile ===
# Makefile for Eplain manuals.  This file is public domain.

MAKEINFO        = makeinfo
MAKEINFO_FLAGS  = 

TEXI2FLAGS      = -b -I ..

TEXI2PDF        = texi2dvi
TEXI2PDF_FLAGS  = --pdf $(TEXI2FLAGS)

TEXI2DVI        = texi2dvi
TEXI2DVI_FLAGS  = $(TEXI2FLAGS)

DVIPS           = dvips
DVIPS_FLAGS     = -t letter

LATEX           = latex
LATEX_FLAGS     = 

BIBTEX          = bibtex
BIBTEX_FLAGS    = 

LATEX2HTML      = latex2html
LATEX2HTML_FLAGS= 

PDFTOPS         = pdftops
PDFTOPS_FLAGS   = 

PDFCROP         = pdfcrop
PDFCROP_FLAGS   = 

CONVERT         = convert
CONVERT_FLAGS   = -quality 75

GROFF           = groff
GROFF_PDF_FLAGS = -man -t -rS11

PS2PDF          = ps2pdf
PS2PDF_FLAGS    = -sPAPERSIZE=a4

DEMO_DIR   = ../demo
PDF_DEMOS  = xhyper.pdf lscommnt.pdf
EPS_DEMOS  = $(PDF_DEMOS:%.pdf=%.eps)
JPG_DEMOS  = $(PDF_DEMOS:%.pdf=%.jpg)

.PHONY: all doc dvi ps pdf html info
.PHONY: clean mostlyclean distclean maintainer-clean
.DELETE_ON_ERROR:


all: doc ../INSTALL

doc: dvi pdf html info

dvi: eplain.dvi
eplain.dvi: *.texi $(EPS_DEMOS)
	$(TEXI2DVI) $(TEXI2DVI_FLAGS) eplain.texi

ps: eplain.ps
eplain.ps: eplain.dvi
	$(DVIPS) $(DVIPS_FLAGS) $< -o

pdf: eplain.pdf eplain.man1.pdf
eplain.pdf: *.texi $(PDF_DEMOS)
	$(TEXI2PDF) $(TEXI2PDF_FLAGS) eplain.texi
eplain.man1.pdf: eplain.1
	$(GROFF) $(GROFF_PDF_FLAGS) $< | $(PS2PDF) $(PS2PDF_FLAGS) - $@

html: eplain/index.html
eplain/index.html: *.texi $(JPG_DEMOS)
	$(MAKEINFO) $(MAKEINFO_FLAGS) --html eplain.texi
	$(MAKEINFO) $(MAKEINFO_FLAGS) --html --no-split eplain.texi
	cp $(JPG_DEMOS) eplain

info: eplain.info
eplain.info: *.texi
	$(MAKEINFO) $(MAKEINFO_FLAGS) --no-split eplain.texi

../INSTALL: install.texi
	$(MAKEINFO) $(MAKEINFO_FLAGS) --no-number-section \
	  --no-warn --no-headers eplain.texi -o - \
	  | sed -n '/^Installation/,/^Invoking/'p \
	  | sed '$$d' > ../INSTALL

# Images for the "Demo files" section of the manual.
$(PDF_DEMOS):
	$(MAKE) -C $(DEMO_DIR) $@
	$(PDFCROP) $(PDFCROP_FLAGS) $(DEMO_DIR)/$@ $@

$(EPS_DEMOS): %.eps: %.pdf
	$(PDFTOPS) $(PDFTOPS_FLAGS) -eps $<

$(JPG_DEMOS): %.jpg: %.pdf
	$(CONVERT) $(CONVERT_FLAGS) $< $@

#
# Clean-up.
#
clean mostlyclean:
	rm -f eplain.?? eplain.{aux,cps,fns,log,toc}
	rm -f $(PDF_DEMOS)
	rm -f $(EPS_DEMOS)

distclean: clean
	rm -rf eplain.dvi eplain

maintainer-clean: distclean
	rm -f $(JPG_DEMOS)
	rm -f ../INSTALL eplain.info eplain.pdf eplain.html eplain.man1.pdf

=== texmf-dist/doc/fonts/gentium-tug/Makefile ===
# This file is part of the Gentium package for TeX.
# It is licensed under the Expat License, see doc//README for details.

env = TEXMFHOME=../../.. 
gentium.pdf: gentium.tex
	$(env) pdflatex '\nonstopmode\pdfmapfile{+gentium-type1.map}\input $<'
# read the map file for running out of the development tree,
# without having the package installed, necessarily.

dist:
	cd ../../../source/fonts/gentium-tug \
	&& ./make-zip-4CTAN.sh -l
clean:
	rm -f *.aux *.log *.out *.toc

=== texmf-dist/doc/fonts/xits/Makefile ===
NAME=xits
VERSION=1.108

SRC=sources
DOC=documentation
TOOLS=tools
DOCSRC=$(DOC)/$(DOC)-$(SRC)
DIST=$(NAME)-$(VERSION)

PY=python
PY3=python3
BUILD=$(TOOLS)/build.py
POSTPROCESS=$(TOOLS)/postprocess.py
COVERAGE=$(TOOLS)/fontcoverage.py

FONTS=math mathbold regular bold italic bolditalic
DOCS=user-guide xits-specimen
FEA=xits.fea

SFD=$(FONTS:%=$(SRC)/$(NAME)-%.sfd)
OTF=$(FONTS:%=$(NAME)-%.otf)
TEX=$(DOCS:%=$(DOCSRC)/%.tex)
PDF=$(DOCS:%=$(DOC)/%.pdf)

all: otf

otf: $(OTF)

xits-math.otf: $(SRC)/xits-math.sfd Makefile $(BUILD) $(POSTPROCESS)
	@echo "Building $@"
	@$(PY) $(BUILD) $< $@ $(VERSION)
	@$(PY) $(POSTPROCESS) $@
	@mv $@.post $@

xits-mathbold.otf: $(SRC)/xits-mathbold.sfd Makefile $(BUILD) $(POSTPROCESS)
	@echo "Building $@"
	@$(PY) $(BUILD) $< $@ $(VERSION)
	@$(PY) $(POSTPROCESS) $@
	@mv $@.post $@

%.otf: $(SRC)/%.sfd Makefile $(SRC)/$(FEA) $(BUILD) $(POSTPROCESS)
	@echo "Building $@"
	@$(PY) $(BUILD) $< $@ $(VERSION) $(SRC)/$(FEA)
	@$(PY) $(POSTPROCESS) $@
	@mv $@.post $@

doc: $(PDF)

$(DOC)/%.pdf: $(DOCSRC)/%.tex
	@echo "Building $@"
	@context --nonstopmode --result=$@ $< 1>/dev/null

FONTLOG.txt: FONTLOG.txt.in $(COVERAGE) $(OTF)
	@echo "Generating $@"
	@$(PY3) $(COVERAGE) tools/Blocks.txt $< $(OTF) $@

dist: $(OTF) $(PDF) FONTLOG.txt
	@echo "Making dist tarball"
	@mkdir -p $(DIST)/$(SRC)
	@mkdir -p $(DIST)/$(DOC)
	@mkdir -p $(DIST)/$(DOCSRC)
	@mkdir -p $(DIST)/$(TOOLS)
	@cp $(SFD) $(DIST)/$(SRC)
	@cp $(SRC)/$(FEA) $(DIST)/$(SRC)
	@cp $(OTF) $(DIST)
	@cp $(POSTPROCESS) $(BUILD) $(COVERAGE) $(DIST)/$(TOOLS)
	@cp -r $(PDF) $(DIST)/$(DOC)
	@cp -r $(TEX) $(DIST)/$(DOCSRC)
	@cp -r Makefile OFL-FAQ.txt OFL.txt FONTLOG.txt tex $(DIST)
	@cp README.md $(DIST)/README.txt
	@zip -r $(DIST).zip $(DIST)

clean:
	@rm -rf $(OTF) $(DIST) $(DIST).zip

=== texmf-dist/doc/latex/bhcexam/Makefile ===
PACKAGE = BHCexam
########################################################################
## LaTeX2e Makefile
##
## Update the following defines for your local configuration, 
##
TEXMFDIR   = ~/texmf/tex/latex/BHCexam
GZIP      = gzip
XELATEX  = xelatex
PDFLATEX  = pdflatex
MAKEINDEX = makeindex
########################################################################
## make [all]		Generates the class(.cls) file, the configuration(.cfg)
##                        file and the documentation (.pdf).  If you don't have 
##                        the required MAKEINDEX (along with `gglo.ist' and
##                        `gind.ist'), then change the first dependency
##			  of "all" from "fullpdf" to "pdf" below.
## make [un]install 	Install or uninstall the class(.cls) file and 
##                        the configuration(.cfg) file.
## make [very]clean	Clean out various auxillary files.  "veryclean"
##			  cleans out more stuff.
########################################################################
## make [full]doc       Generate the documentation.  The "fulldoc" version
##			  adds the change log and the cross-references.
## make idx		Generate the change log and the cross-references
##			  (for fulldoc -- requires MAKEINDEX).
## make cls 		Generate the class(.cls) file and the
##                        configuration(.cfg) file.

########################################################################
## make test		Run test file(s)
## make src		Builds a src distribution (.tar.gz) file.
## make distribtion	Builds a distribution (.tar.gz) file.
########################################################################

all:		veryclean cls fulldoc test clean

install:	cls
		cp $(PACKAGE).{cls,cfg} $(TEXMFDIR)
uninstall:	; rm $(TEXMFDIR)/$(PACKAGE).{cls,cfg}
clean:		; -rm -f *.dvi *.log *.aux *.lof *.lot *.toc 
		-rm -f *.idx *.ind *.glo *.gls *.ilg *.out
veryclean:	; -rm -f *.dvi *.log *.aux *.lof *.lot *.toc 
		-rm -f *.idx *.ind *.glo *.gls *.ilg *.out
		-rm -f *.idx *.ind *.glo *.gls *.ilg *.out
		-rm -f *.sty *.cls *.pdf *pk *.cfg *.tar


doc:		; $(XELATEX) $(PACKAGE).dtx

cls:		; $(XELATEX) $(PACKAGE).ins

fulldoc:	doc $(PACKAGE).gls $(PACKAGE).ind 
		$(XELATEX) $(PACKAGE).dtx

src:		; mkdir $(PACKAGE)
		cp -p README Makefile $(PACKAGE)
		cp -p $(PACKAGE).dtx $(PACKAGE).ins $(PACKAGE)
		cp -p test*.tex $(PACKAGE)
		tar -cvf $(PACKAGE)-src.tar ./$(PACKAGE) 
		rm -rf $(PACKAGE)
		$(GZIP) -9 $(PACKAGE)-src.tar

distribution:	veryclean cls fulldoc test clean
		mkdir $(PACKAGE)
		cp -p $(PACKAGE).cls $(PACKAGE).cfg $(PACKAGE)
		cp -p *.tex $(PACKAGE)
		cp -p *.pdf $(PACKAGE)
		tar -cvf $(PACKAGE).tar ./$(PACKAGE) 
		rm -rf $(PACKAGE)
		$(GZIP) -9 $(PACKAGE).tar

$(PACKAGE).gls:	doc
		$(MAKEINDEX) -s gglo.ist -o $(PACKAGE).gls $(PACKAGE).glo

$(PACKAGE).ind:	doc
		$(MAKEINDEX) -s gind.ist -o $(PACKAGE).ind $(PACKAGE).idx

test:		cls
		$(XELATEX) test1.tex 
		$(XELATEX) test1.tex 
		$(XELATEX) test2.tex 
		$(XELATEX) test2.tex 
		$(XELATEX) test3.tex 
		$(XELATEX) test3.tex 
		$(PDFLATEX) test4.tex 
		$(PDFLATEX) test4.tex

=== texmf-dist/doc/latex/biblatex-caspervector/Makefile ===
# vim:ts=4:sw=4
#
# Copyright (c) 2011-2012 Casper Ti. Vector
# Public domain.

doc:
	latex readme
	biber -l zh__pinyin readme
	latex readme
	latex readme
	dvipdfmx readme

toutf8:
	sed -i '1,10 s/GBK/UTF8/; 1,10 s/gbk/utf8/' readme.tex
	enca -L zh -x UTF-8 readme.*

togbk:
	sed -i '1,10 s/UTF8/GBK/; 1,10 s/utf8/gbk/' readme.tex
	enca -L zh -x GBK readme.*

clean:
	rm -f readme.{aux,bbl,bcf,blg,dvi,log,run.xml,out} {missfont,texput}.log

distclean: clean
	rm -f readme.pdf

=== texmf-dist/doc/latex/contracard/Makefile ===
# Makefile for contracard.
# Copied almost exactly from the fontspec makefile.

#### MAKEFILE CONFIG ####

SHELL = /bin/sh
.SUFFIXES:
.SILENT:

#### BEGIN ####

help:
	@echo 'CONTRACARD makefile targets:'
	@echo ' '
	@echo '                  help  -  (this message)'
	@echo '                unpack  -  extracts all files'
	@echo '                   doc  -  compile documentation'
	@echo '                gendoc  -  compile git-aware documentation'
	@echo '                  ctan  -  generate archive for CTAN'
	@echo '                   all  -  unpack & doc'
	@echo '                 world  -  all & ctan'
	@echo '                 clean  -  remove all generated and built files'
	@echo '                preview -  preview the documentation'
	@echo ' '
	@echo '                   install  -  install the complete class into your home texmf tree'
	@echo '               cls-install  -  install the class code only'
	@echo ' install TEXMFROOT=<texmf>  -  install the class into the path <texmf>'


NAME = contracard
DOC = $(NAME).pdf
DTX = $(NAME).dtx

# Redefine this to print output if you need:
REDIRECT = > /dev/null

# Files grouped by generation mode
COMPILED = $(DOC)
UNPACKED = $(NAME).cls
SOURCE = $(DTX) Makefile README LICENSE
GENERATED = $(COMPILED) $(UNPACKED)

CTAN_FILES = $(SOURCE) $(COMPILED)

UNPACKED_DOC =

RUNFILES = $(filter-out $(UNPACKED_DOC), $(UNPACKED))
DOCFILES = $(COMPILED) README LICENSE $(UNPACKED_DOC)
SRCFILES = $(DTX) Makefile

ALL_FILES = $(RUNFILES) $(DOCFILES) $(SRCFILES)

# Installation locations
FORMAT = latex
RUNDIR = $(TEXMFROOT)/tex/$(FORMAT)/$(NAME)
DOCDIR = $(TEXMFROOT)/doc/$(FORMAT)/$(NAME)
SRCDIR = $(TEXMFROOT)/source/$(FORMAT)/$(NAME)
TEXMFROOT = $(shell kpsewhich --var-value TEXMFHOME)

CTAN_ZIP = $(NAME).zip
TDS_ZIP = $(NAME).tds.zip
ZIPS = $(CTAN_ZIP) $(TDS_ZIP)

DO_LATEX = xelatex --interaction=nonstopmode $<  $(REDIRECT)
DO_LATEX_WRITE18 = xelatex --shell-escape --interaction=nonstopmode $< $(REDIRECT)
DO_TEX = tex --interaction=nonstopmode $< $(REDIRECT)
DO_MAKEINDEX = makeindex -s gind.ist $(subst .dtx,,$<) $(REDIRECT) 2>&1
DO_SPLITINDEX = splitindex $(subst .dtx,,$<) $(REDIRECT) 2>&1
DO_MAKECHANGES = makeindex -s gglo.ist -o $(NAME).gls $(NAME).glo $< $(REDIRECT) 2>&1

all: $(GENERATED)
doc: $(COMPILED)
unpack: $(UNPACKED)
ctan: $(CTAN_ZIP)
tds: $(TDS_ZIP)
world: all ctan

resources: by.png by-nc.png

by.png:
	wget http://mirrors.creativecommons.org/presskit/buttons/80x15/png/by.png

by-nc.png:
	wget http://mirrors.creativecommons.org/presskit/buttons/80x15/png/by-nc.png


gendoc: $(DTX) resources
	@echo "Compiling documentation"
	$(DO_LATEX_WRITE18)
	$(DO_SPLITINDEX)
	$(DO_MAKEINDEX)
	$(DO_MAKECHANGES)
	while ($(DO_LATEX_WRITE18) ; \
	grep -q "Rerun to get" $(NAME).log ) do true; \
	done

COMMAND = command -v $(1) >/dev/null 2>&1
preview: $(DOC)
	($(COMMAND) evince && evince $(NAME).pdf) || ($(COMMAND) open && open $(NAME).pdf)

$(DOC): $(DTX)
	@echo "Compiling documentation"
	$(DO_LATEX_WRITE18)
	$(DO_MAKEINDEX)
	$(DO_MAKECHANGES)
	while ($(DO_LATEX_WRITE18) ; \
	grep -q "Rerun to get" $(NAME).log ) do true; \
	done


$(UNPACKED): $(DTX)
	@$(DO_TEX)

$(CTAN_ZIP): $(CTAN_FILES)
	@echo "Making $@ for CTAN upload."
	@$(RM) -- $@
	@mkdir -p $(NAME)/
	@cp $^ $(NAME)/
	@zip -9 $@ $(NAME)/* >/dev/null
	@rm -rf $(NAME)/

define run-install
@mkdir -p $(RUNDIR) && cp $(RUNFILES) $(RUNDIR)
@mkdir -p $(DOCDIR) && cp $(DOCFILES) $(DOCDIR)
@mkdir -p $(SRCDIR) && cp $(SRCFILES) $(SRCDIR)
endef

define run-cls-install
@mkdir -p $(RUNDIR) && cp $(RUNFILES) $(RUNDIR)
endef

$(TDS_ZIP): TEXMFROOT=./tmp-texmf
$(TDS_ZIP): $(ALL_FILES)
	@echo "Making TDS-ready archive $@."
	@$(RM) -- $@
	$(run-install)
	@cd $(TEXMFROOT) && zip -9 ../$@ -r . >/dev/null
	@$(RM) -r -- $(TEXMFROOT)

# Rename the README for CTAN
README: README.md
	cp $< $@

# Rename the LICENSE for CTAN
LICENSE: LICENSE.md
	cp $< $@

.PHONY: install manifest clean mrproper

install: $(ALL_FILES)
	@if test ! -n "$(TEXMFROOT)" ; then \
		echo "Cannot locate your home texmf tree. Specify manually with\n\n    make install TEXMFROOT=/path/to/texmf\n" ; \
		false ; \
	fi ;
	@echo "Installing in '$(TEXMFROOT)'."
	$(run-install)

cls-install: $(RUNFILES)
	@if test ! -n "$(TEXMFROOT)" ; then \
		echo "Cannot locate your home texmf tree. Specify manually with\n\n    make install TEXMFROOT=/path/to/texmf\n" ; \
		false ; \
	fi ;
	@echo "Installing in '$(TEXMFROOT)'."
	$(run-install)

manifest: 
	@echo "Source files:"
	@for f in $(SOURCE); do echo $$f; done
	@echo ""
	@echo "Derived files:"
	@for f in $(GENERATED); do echo $$f; done

clean:
	@$(RM) -- *.log *.aux *.toc *.idx *.ind *.ilg *.glo *.gls *.example *.out
	@$(RM) -- *.synctex* *.tmp *.cls *.sty *.ins *.pdf *.dvi README LICENSE *.lot
	@$(RM) -- *.lod *.png
	@$(RM) -- $(GENERATED) $(ZIPS)
	@$(RM) -- $(builddir)/*


#############
# TESTSUITE #
#############

#### Needed to compile and make stuff ####

builddir=build
lprefix=L
xprefix=X
both=F

COPY = cp -a
MOVE = mv -f
COMPARE_OPTS = -density 300x300 -metric ae -fuzz 35%

LTXSOURCE = $(NAME).cls

=== texmf-dist/doc/latex/eledmac/Makefile ===
PACKAGE = *.dtx \
		  *.ins \
		  eledmac.pdf \
		  eledpar.pdf \
		  README \
		  Makefile



.PHONY: all dist clean


all: eledmac.sty eledmac.pdf eledpar.sty eledpar.pdf dist

doc: *.pdf


%.sty: %.ins %.dtx 
	rm -f $*.sty $*tex
	@pdflatex $*.ins

%.pdf: %.sty %.dtx 
	@pdflatex $*.dtx
	@makeindex -s gind.ist -o $*.ind $*.idx
	@makeindex -s gglo.ist -o $*.gls $*.glo
	@pdflatex $*.dtx
	@pdflatex $*.dtx


dist: $(PACKAGE)
	rm -rf eledmac
	mkdir eledmac
	cp $(PACKAGE) eledmac
	@$(RM) ../eledmac.zip
	zip -r ../eledmac.zip eledmac
	

clean:
	@$(RM) *.aux *.log *.out *.toc *tex *.pdf eledmac.sty eledpar.sty  *ind *ilg  *lof *idx *glo *gls ../eledmac.zip

=== texmf-dist/doc/latex/ionumbers/Makefile ===
#
# Makefile for ionumbers package
#
# Copyright 2008,2011 Christian Schneider <software(at)chschneider(dot)eu>
#
# This file is part of ionumbers.
#
# ionumbers is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation, not any later version.
#
# ionumbers is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with ionumbers.  If not, see <http://www.gnu.org/licenses/>.
#
# WARNING: THIS IS ALPHA SOFTWARE AND MAY CONTAIN SERIOUS BUGS!
#

PACKAGE   := ionumbers
TESTFILE  := ionumbers_test

PDFLATEX  := pdflatex
MAKEINDEX := makeindex

# installation directories
DESTDIR   := $(HOME)/.texmf
DOCDIR    := $(DESTDIR)/doc/latex/$(PACKAGE)
SRCDIR    := $(DESTDIR)/source/latex/$(PACKAGE)
TEXDIR    := $(DESTDIR)/tex/latex/$(PACKAGE)

.PHONY: all pkg doc test install clean distclean force

all: pkg doc test

%.sty: %.ins %.dtx
	$(RM) $@
	$(PDFLATEX) -interaction=nonstopmode $<

%.idx %.glo: %.dtx %.sty
	$(PDFLATEX) -interaction=nonstopmode $<

%.ind: %.idx
	$(MAKEINDEX) -s gind.ist -o $@ $<

%.gls: %.glo
	$(MAKEINDEX) -s gglo.ist -o $@ $<

$(PACKAGE).pdf: %.pdf: %.dtx %.sty %.ind %.gls
	$(PDFLATEX) -interaction=nonstopmode $<
	$(PDFLATEX) -interaction=nonstopmode $<
	$(PDFLATEX) -interaction=nonstopmode $<

$(TESTFILE).pdf: %.pdf: %.tex $(PACKAGE).sty
	$(PDFLATEX) -interaction=nonstopmode $<
	$(PDFLATEX) -interaction=nonstopmode $<
	$(PDFLATEX) -interaction=nonstopmode $<

pkg: $(PACKAGE).sty

test: $(TESTFILE).pdf

doc: $(PACKAGE).pdf

install: force
	mkdir -p $(DOCDIR) $(SRCDIR) $(TEXDIR)
	install -m 644 README COPYING $(PACKAGE).pdf $(TESTFILE).pdf $(DOCDIR)
	install -m 644 $(PACKAGE).ins $(PACKAGE).dtx $(TESTFILE).tex Makefile \
	  $(SRCDIR)
	install -m 644 $(PACKAGE).sty $(TEXDIR)
	mktexlsr $(DESTDIR)

clean: force
	$(RM) *.aux *.glo *.gls *.idx *.ilg *.ind *.log *.toc *~

distclean: clean force
	$(RM) $(PACKAGE).sty $(PACKAGE).pdf $(TESTFILE).pdf

force: ;

=== texmf-dist/doc/latex/minted/Makefile ===
TEXFLAGS = -e '$$pdflatex=q/pdflatex %O -shell-escape %S/' -pdf
LATEXMK = latexmk

PACKAGE = minted.dtx \
		  minted.ins \
		  minted.pdf \
		  README \
		  Makefile

.PHONY: minted all doc dist clean cleanall

minted: minted.sty

doc: minted.pdf

all: minted doc

minted.sty: minted.ins minted.dtx
	tex minted.ins

minted.pdf: minted.sty minted.gls minted.dtx
	$(LATEXMK) $(TEXFLAGS) minted.dtx

minted.gls: minted.glo
	makeindex -s gglo.ist -o minted.gls minted.glo

minted.glo: minted.dtx minted.sty
	$(LATEXMK) $(TEXFLAGS) minted.dtx

dist: $(PACKAGE)
	@$(RM) minted.zip
	@zip minted.zip $(PACKAGE)

clean:
	@$(RM) *.aux *.log *.out *.toc *.fdb_latexmk *.ilg *.glo *.gls *.lol

cleanall: clean
	@$(RM) minted.sty minted.zip

=== texmf-dist/doc/latex/mnotes/Makefile ===
SHELL=/bin/bash
NAME=mnotes
VERSION=0.6
DISTDIR=$(NAME)
ARCHIVE_NAME=/tmp/$(NAME)-$(VERSION).tar.gz
DISTFILES=$(NAME).dtx Makefile README $(NAME).ins $(NAME).pdf

DEP=$(NAME).sty

all: pdf

ps: $(NAME).ps

%.ps: %.dvi
	dvips $(DVIPSOPT) $< -o $@

pdf: $(NAME).pdf $(DEP)

%.pdf: %.dtx
	pdflatex $<
	makeindex -s gglo.ist -o $(NAME).gls $(NAME).glo
	makeindex -s gind.ist -o $(NAME).ind $(NAME).idx
	pdflatex $<

dist: $(DISTFILES)
	rm -rf $(DISTDIR)
	mkdir $(DISTDIR)
	cp -aL --parents $(DISTFILES) $(DISTDIR)
	tar cfvz $(ARCHIVE_NAME) $(DISTDIR)
	rm -rf $(DISTDIR)

clean: 
	rm -f $(NAME).{glo,log,toc,lot,lof,idx,ilg,ind,aux,blg,bbl,dvi}
	rm -f *~

cleandist: clean 
	rm -f $(NAME).{pdf,sty,ins}

REFWARN = 'Rerun to get cross-references'
LATEXMAX = 5

%.dvi: %.dtx $(DEP)
	latex $<
	RUNS=$(LATEXMAX); \
	while [ $$RUNS -gt 0 ] ; do \
		if grep $(REFWARN) $*.log > /dev/null; \
		then latex $< ; else break; fi; \
		RUNS=`expr $$RUNS - 1`; \
	done

$(NAME).sty: $(NAME).ins FORCE
	tex $(NAME).ins

$(NAME).ins:
	pdflatex $(NAME).dtx

FORCE:

=== texmf-dist/doc/latex/onlyamsmath/Makefile ===
VERSION=`grep -e '\\[.*\\]' onlyamsmath-v.tex | sed 's/  \\[[0-9/]* *\\([v0-9]*\\)\\.\\([0-9]*\\).*\\]/\\1_\\2/'`

.SUFFIXES: .sty .ins .dtx .pdf


.ins.sty:
	pdflatex $<

.dtx.pdf:
	pdflatex $<
	pdflatex $<
	makeindex -s gind.ist $(*D)/$(*F)
	makeindex -s gglo.ist -o $(*D)/$(*F).gls $(*D)/$(*F).glo
	pdflatex $<

all: onlyamsmath onlyamsmath.pdf message 

onlyamsmathtest.pdf:
	pdflatex onlyamsmathtest


onlyamsmath:
	pdflatex onlyamsmath.ins



clean:
	@-rm -f onlyamsmath.{glo,gls,idx,ilg,ind,aux,log,toc}
	@-rm -f onlyamsmathtest.{log,aux}
	@-rm -f *~

distclean: clean
	@-rm -f onlyamsmath.{sty,pdf,ps}
	@-rm -f onlyamsmathtest.{pdf,ps}

tar:	all clean
	@echo Generate onlyamsmath-$(VERSION).tar.gz
	@-rm -f onlyamsmath-$(VERSION).tar.gz
	@tar czCf .. onlyamsmath-$(VERSION).tar.gz \
	  onlyamsmath/README \
	  onlyamsmath/ChangeLog \
	  onlyamsmath/Makefile \
	  onlyamsmath/onlyamsmath.{dtx,ins,pdf} \
	  onlyamsmath/onlyamsmathtest.tex \
	  onlyamsmath/onlyamsmath.xml

zip:	all clean
	@echo Generate onlyamsmath-$(VERSION).zip
	mkdir -p tex/latex/onlyamsmath
	mkdir -p doc/latex/onlyamsmath
	mkdir -p source/latex/onlyamsmath
	cp onlyamsmath.sty tex/latex/onlyamsmath
	cp README ChangeLog onlyamsmath.pdf onlyamsmathtest.tex doc/latex/onlyamsmath
	cp onlyamsmath.dtx onlyamsmath.ins Makefile source/latex/onlyamsmath
	@rm -f onlyamsmath-$(VERSION).zip
	@zip -r onlyamsmath-$(VERSION).zip source/ tex/ doc/
	rm -rf source/ tex/ doc/

message:
	@echo "Please copy onlyamsmath.sty to a directory"
	@echo "in the LaTeX search path"
	@echo "Then run \`latex onlyamsmathtest' to see an example"

=== debian/changelog ===
texlive-extra (2013.20140215-2) unstable; urgency=medium

  * fix missing replace for texlive-publisher (Closes: #739473)

 -- Norbert Preining <preining@debian.org>  Wed, 19 Feb 2014 11:52:49 +0900

texlive-extra (2013.20140215-1) unstable; urgency=medium

  * new upstream checkout
  * butcher flashmovie and media9 packages by removing some swf flash
    files without included source (although available) (Closes: #736802)
  * change {ttf,otf}-freefont to fonts-freefont-{ttf,otf} (Closes: #738251)
  * install (de)pythontex3 scripts (Closes: #737376)

 -- Norbert Preining <preining@debian.org>  Sat, 15 Feb 2014 11:25:34 +0900

texlive-extra (2013.20140123-1) unstable; urgency=medium

  * new upstream checkout
  * break against incompatible version of biber (Closes: #734416)

 -- Norbert Preining <preining@debian.org>  Thu, 23 Jan 2014 13:12:46 +0900

texlive-extra (2013.20131219-1) unstable; urgency=medium

  * new upstream checkout
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Thu, 19 Dec 2013 13:45:18 +0900

texlive-extra (2013.20131112-1) unstable; urgency=low

  * new upstream checkout
  * texlive-latex-extra suggests python-pygments (Closes: #728895)

 -- Norbert Preining <preining@debian.org>  Tue, 12 Nov 2013 15:49:02 +0900

texlive-extra (2013.20131010-1) unstable; urgency=low

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Thu, 10 Oct 2013 12:35:51 +0900

texlive-extra (2013.20130918-1) unstable; urgency=low

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Wed, 18 Sep 2013 12:41:16 +0900

texlive-extra (2013.20130905-1) unstable; urgency=low

  * new upstream checkout
    - fix siunitx typo (Closes: #719871)
  * add a latexdef -> texdef link (Closes: #719427)
  * texlive-pictures suggests texlive-latex-extra (Closes: #705951, #683567)
  * texlive-pcitures suggest libtcltk-ruby (Closes: #600375)
  * bump standards version to 3.9.4, no changes necessary
  * fonts-font-awesome instead of shipping the font

 -- Norbert Preining <preining@debian.org>  Thu, 05 Sep 2013 11:46:54 +0900

=== debian/control ===
Source: texlive-extra
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: sharutils, tex-common (>= 4), eperl, findutils (>=4.2.0)
Standards-Version: 3.9.5
Homepage: http://www.tug.org/texlive/

Package: texlive-bibtex-extra
Architecture: all
Depends: texlive-base (>= 2013.20130512), texlive-binaries (>= 2013.20130512), ${misc:Depends}, texlive-latex-base (>= 2013.20130512)
Replaces: texlive-publishers-doc (<< 2013), texlive-publishers (<< 2013)
Breaks: biber (<< 1.8)
Description: TeX Live: BibTeX additional styles
 Additional BibTeX styles and bibliography data(bases), notably including
   BibLaTeX.
 .
 This package includes the following CTAN packages:
  aichej -- Bibliography style file for the AIChE Journal.
  amsrefs -- A LaTeX-based replacement for BibTeX.
  apacite -- Citation style following the rules of the APA.
  apalike2 -- Bibliography style that approaches APA requirements.
  beebe --
  besjournals --
  bibarts -- "Arts"-style bibliographical information.
  bibexport -- Extract a BibTeX file based on a .aux file.
  bibhtml -- BibTeX support for HTML files.
  biblatex -- Bibliographies in LaTeX using BibTeX for sorting only.
  biblatex-apa -- Biblatex citation and reference style for APA.
  biblatex-bwl --
  biblatex-caspervector -- A simple citation style for Chinese users.
  biblatex-chem -- A set of biblatex implementations of chemistry-related
   bibliography styles.
  biblatex-chicago -- Chicago style files for biblatex.
  biblatex-dw -- Humanities styles for biblatex.
  biblatex-fiwi -- Biblatex styles for use in German humanities.
  biblatex-gost -- Biblatex support for GOST standard bibliographies.
  biblatex-historian -- A Biblatex style.
  biblatex-ieee -- Ieee style files for biblatex.
  biblatex-juradiss -- Biblatex stylefiles for German law thesis.
  biblatex-luh-ipw -- Biblatex styles for social sciences.
  biblatex-manuscripts-philology -- Manage classical manuscripts with
   biblatex.
  biblatex-mla -- MLA style files for biblatex.
  biblatex-musuos -- A biblatex style for citations in musuos.cls.
  biblatex-nature -- Biblatex support for Nature.
  biblatex-nejm -- Biblatex style for the New England Journal of Medicine
   (NEJM).
  biblatex-philosophy -- Styles for using biblatex for work in philosophy.
  biblatex-phys -- A biblatex implementation of the AIP and APS bibliography
   style.
  biblatex-publist -- BibLaTeX bibliography support for publication lists.
  biblatex-science -- Biblatex implementation of the Science bibliography
   style.
  biblatex-source-division -- References by "division" in classical sources.
  biblatex-swiss-legal -- Bibliography and citation styles following Swiss
   legal practice.
  biblatex-trad -- "Traditional" BibTeX styles with BibLaTeX.
  biblist -- Print a BibTeX database.
  bibtopic -- Include multiple bibliographies in a document.
  bibtopicprefix -- Prefix references to bibliographies produced by bibtopic.
  bibunits -- Multiple bibliographies in one document.
  breakcites -- Ensure that multiple citations may break at line end.
  cell -- Bibliography style for Cell.
  chbibref -- Change the Bibliography/References title.
  chicago -- A "Chicago" bibliography style.
  chicago-annote -- Chicago-based annotated BibTeX style.
  chembst -- A collection of BibTeX files for chemistry journals.
  chscite -- Bibliography style for Chalmers University of Technology.
  collref -- Collect blocks of references into a single reference.
  compactbib -- Multiple thebibliography environments.
  custom-bib -- Customised BibTeX styles.
  din1505 -- Bibliography styles for German texts.
  dk-bib -- Danish variants of standard BibTeX styles.
  doipubmed -- Special commands for use in bibliographies.
  economic -- BibTeX support for submitting to Economics journals.
  fbs -- BibTeX style for Frontiers in Bioscience.
  figbib -- Organize figure databases with BibTeX.
  footbib -- Bibliographic references as footnotes.
  francais-bst -- Bibliographies conforming to French typographic standards.
  geschichtsfrkl -- BibLaTeX style for historians.
  harvard -- Harvard citation package for use with LaTeX 2e.
  harvmac -- Macros for scientific articles.
  historische-zeitschrift -- Biblatex style for the journal 'Historische
   Zeitschrift'
  ijqc -- BibTeX style file for the Intl. J. Quantum Chem.
  inlinebib -- Citations in footnotes.
  iopart-num -- Numeric citation style for IOP journals.
  jneurosci -- BibTeX style for the Journal of Neuroscience.
  jurabib -- Extended BibTeX citation support for the humanities and legal
   texts.
  ksfh_nat --
  listbib -- Lists contents of BibTeX files.
  logreq -- Support for automation of the LaTeX workflow.
  margbib -- Display bibitem tags in the margins.
  multibib -- Multiple bibliographies within one document.
  multibibliography -- Multiple versions of a bibliography, with different
   sort orders.
  munich -- An alternative authordate bibliography style.
  notes2bib -- Integrating notes into the bibliography.
  oscola -- BibLaTeX style for the Oxford Standard for the Citation of Legal
   Authorities.
  perception -- BibTeX style for the journal Perception.
  pnas2009 -- Bibtex style for PNAS.
  rsc -- BibTeX style for use with RSC journals.
  showtags -- Print the tags of bibliography entries.
  sort-by-letters -- Bibliography styles for alphabetic sorting.
  splitbib -- Split and reorder your bibliography.
  uni-wtal-ger -- Citation style for literary studies at the University of
   Wuppertal.
  uni-wtal-lin -- Citation style for linguistic studies at the University of
   Wuppertal.
  urlbst -- Web support for BibTeX.
  usebib -- A simple bibloography processor.
  vak -- BibTeX style for Russian Theses, books, etc.
  xcite -- Use citation keys from a different document.

Package: texlive-extra-utils
Architecture: all
Depends: texlive-binaries (>= 2013.20130512), ${misc:Depends}, texlive-latex-base (>= 2013.20130512), texlive-base (>= 2013.20130512), luatex, python, texlive-base (>= 2013.20130512)
Recommends: ruby | ruby-interpreter, texlive-latex-recommended, ghostscript
Provides: pdfjam
Suggests: chktex, fragmaster, xindy, latexdiff, lacheck, latexmk, dvidvi, purifyeps, dvipng
Description: TeX Live: TeX auxiliary programs
 Various useful, but non-essential, support programs. Includes programs and
   macros for DVI file manipulation, literate programming, patgen, and the
   TeX Works Editor.
 .
 This package includes the following CTAN packages:
  a2ping -- Advanced PS, PDF, EPS converter.
  adhocfilelist -- '\listfiles' entries from the command line.
  arara -- Automation of LaTeX compilation.
  bibtex8 -- A fully 8-bit adaptation of BibTeX 0.99.
  bibtexu --
  bundledoc -- Bundle together all the files needed to build a LaTeX
   document.
  ctanify -- Prepare a package for upload to CTAN.
  ctanupload -- Support for users uploading to CTAN.
  ctie -- C version of tie (merging Web change files).
  cweb -- A Web system in C.
  de-macro -- Expand private macros in a document.
  detex -- Strip TeX from a source file.
  dtl -- Tools to dis-assemble and re-assemble DVI files.
  dtxgen -- Creates a template for a self-extracting .dtx file.
  dvi2tty -- Produce ASCII from DVI.
  dviasm -- A utility for editing DVI files.
  dvicopy -- Copy DVI files, flattening VFs.
  dviljk -- DVI to Laserjet output.
  dvipos --
  dvisvgm -- Convert DVI files to Scalable Vector Graphics format (SVG).
  findhyph -- Find hyphenated words in a document.
  hyphenex -- Generate a hyphenation exceptions file.
  installfont -- A bash script for installing a LaTeX font family.
  latex-git-log -- Typeset git log information.
  latex2man -- Translate LaTeX-based manual pages into Unix man format.
  latexfileversion -- Prints the version and date of a LaTeX class or style
   file.
  latexpand -- Expand \input and \include in a LaTeX document.
  latexindent -- Indent a LaTeX document, highlighting the programming
   structure.
  ltxfileinfo -- Print version info for latex class or style file.
  ltximg -- Split LaTeX files to sanitise a conversion process.
  listings-ext -- Automated input of source.
  match_parens -- Easily detect mismatched parens.
  mkjobtexmf -- Generate a texmf tree for a particular job.
  patgen -- Generate hyphenation patterns.
  pdfcrop -- Crop PDF graphics.
  pdfjam -- Shell scripts interfacing to pdfpages.
  pdftools -- PDF-related utilities, including PostScript-to-PDF conversion
  pfarrei -- LaTeX support of pastors' and priests' work.
  pkfix -- Replace pk fonts in PostScript with Type 1 fonts.
  pkfix-helper -- Make PostScript files accessible to pkfix.
  pythontex -- Run Python from within a document, typesetting the results.
  seetexk -- Utilities for manipulating DVI files.
  sty2dtx -- Create a .dtx file from a .sty file.
  synctex --
  texcount -- Count words in a LaTeX document.
  texdef -- Display the definitions of TeX commands.
  texdiff -- Compare documents and produce tagged merge.
  texdirflatten -- Collect files related to a LaTeX job in a single
   directory.
  texliveonfly -- On-the-fly download of missing TeX live packages.
  texloganalyser -- Analyse TeX logs.
  texware -- Utility programs for use with TeX.
  tie -- Allow multiple web change files.
  tpic2pdftex -- Use tpic commands in PDFTeX.
  typeoutfileinfo -- Display class/package/file information.
  web -- original web programs tangle and weave

Package: texlive-font-utils
Architecture: all
Depends: texlive-binaries (>= 2013.20130512), ${misc:Depends}, texlive-base (>= 2013.20130512), texlive-base (>= 2013.20130512)
Recommends: ghostscript, ps2eps
Suggests: t1utils, psutils
Replaces: texlive-binaries (<< 2013)
Description: TeX Live: Graphics and font utilities
 Programs for conversion between font formats, testing fonts, virtual fonts,
   .gf and .pk manipulation, mft, fontinst, etc. Manipulating OpenType,
   TrueType, Type 1,and for manipulation of PostScript and other image
   formats.
 .
 This package includes the following CTAN packages:
  accfonts -- Utilities to derive new fonts from existing ones.
  afm2pl -- AFM font metrics to TeX pl converter.
  dosepsbin -- Deal with DOS binary EPS files.
  epstopdf -- Convert EPS to 'encapsulated' PDF using GhostScript.
  fontware --
  ps2pkm -- Generate a PK font from an Adobe Type 1 font.
  pstools -- Produce Encapsulated PostScript from PostScript.
  dvipsconfig -- Collection of dvips PostScript headers.
  fontinst -- Help with installing fonts for TeX and LaTeX.
  fontools -- Tools to simplify using fonts (especially TT/OTF ones).
  mf2pt1 -- Produce PostScript Type 1 fonts from Metafont source.
  ttfutils --

Package: texlive-formats-extra
Architecture: all
Depends: ${misc:Depends}, texlive-binaries (>= 2013.20130512), texlive-base (>= 2013.20130512), texlive-base (>= 2013.20130512), texlive-latex-base (>= 2013.20130512)
Description: TeX Live: Additional formats
 Collected TeX `formats', i.e., large-scale macro packages designed to be
   dumped into .fmt files, other than most common ones, such as latex and
   context.
 .
 This package includes the following CTAN packages:
  edmac -- Typeset scholarly edition.
  eplain -- Extended plain tex macros.
  mltex -- The MLTeX system.
  psizzl -- A TeX format for physics papers.
  startex -- An XML-inspired format for student use.
  texsis -- Plain TeX macros for Physicists.

Package: texlive-generic-extra
Architecture: all
Depends: ${misc:Depends}, texlive-base (>= 2013.20130512), texlive-base (>= 2013.20130512)
Description: TeX Live: Generic additional packages
 Extra packages that work with multiple formats, typically both TeX and
   LaTeX.
 .
 This package includes the following CTAN packages:
  abbr -- Simple macros supporting abreviations for Plain and LaTeX.
  abstyles -- Adaptable BibTeX styles.

=== debian/rules ===
#!/usr/bin/make -f
# 
# debian/rules file for texlive-extra

PACKAGES=texlive-bibtex-extra texlive-extra-utils texlive-font-utils texlive-formats-extra texlive-generic-extra texlive-math-extra texlive-plain-extra texlive-latex-extra texlive-fonts-extra texlive-music texlive-games texlive-pstricks texlive-publishers texlive-humanities texlive-science texlive-fonts-extra-doc texlive-humanities-doc texlive-latex-extra-doc texlive-pstricks-doc texlive-publishers-doc texlive-science-doc
METAPACKAGES=texpower pdfjam texlive-latex3

SHELL=/bin/bash

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	touch build-stamp

clean: 
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  rm -f debian/$$i.{README.Debian,links,links.generated} ; \
	  rm -f debian/$$i.{postinst,postrm,preinst,prerm} ; \
	  rm -f debian/$$i.{maps,hyphens,formats,info,manpages} ; \
	  rm -f debian/$$i.{lintian-overrides} ; \
	done
	# texlive contains some .orig files we need to keep otherwise
	# the copy will fail due to the files occurring in the tlpdb
	dh_clean -X.orig -X.bak
	rm -f configure-stamp
	rm -f build-stamp
	rm -f install-stamp

install: install-stamp

install-stamp: build-stamp
	# make sure we have texmf-dist/web2c otherwise the media detection
	# might break (like in texlive-lang)
	mkdir -p texmf-dist/web2c
	perl debian/tpm2deb-bin.pl --nosource $(PACKAGES) $(METAPACKAGES)
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/generate-license-file $$i ; \
	  bash debian/fix-privacy-breach $$i ; \
	  if [ -r debian/$$i.links.dist ] ; then cat debian/$$i.links.dist >> debian/$$i.links ; fi ; \
	done
	install debian/pythontex3 debian/depythontex3 debian/texlive-extra-utils/usr/bin
	# link pfb/afm files (type1 fonts) into /usr/share/fonts
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/create-font-links $$i >> debian/$$i.links ; \
	done
	touch install-stamp

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	dh_installmenu
	dh_lintian
	dh_bugfiles -A
	dh_installdocs -A debian/README.source debian/README.Debian
	dh_installtex -A --priority=10 --flavor=lsr:full,tree:texlive
	dh_installchangelogs
	dh_installman
	bash debian/fix-manpages.sh
	# info pages
	bash debian/convert-info-files-to-unix.sh
	dh_installinfo
	dh_installmime
	dh_lintian
	dh_link
	dh_compress -X.pdf
	dh_fixperms
	# remove .bat files, nobody needs them
	find debian/texlive-*/usr/share/texlive/texmf-dist/ -name \*.bat -a -type f -exec rm '{}' \;
	# remove x bit from files in the doc hierarchy
	find debian/texlive-*/usr/share/doc/texlive-doc -type f -exec chmod a-x '{}' \;
	# we also have to fix the permissions of the link targets from /usr/bin
	bash debian/fix-bin-symlink-targets-permissions.sh
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb -Ntexlive-latex-extra-doc -- -Zxz
	dh_builddeb -ptexlive-latex-extra-doc -- -Zxz -Sextreme -z9

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

# eof
